Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] Probleem met updates installeren en pakketbeheer  (gelezen 764 keer)

Offline Els Stevens

  • Lid
  • Steunpunt: Nee
[Opgelost] Probleem met updates installeren en pakketbeheer
« Gepost op: 2013/08/29, 06:16:32 »
Hallo,


ik had vorige week updates van ubuntu. Toen ik die aan het installeren was, bleef het een hele tijd precies hangen, dat het niet verder installeerde. Omdat ik toen weg moest, heb ik de laptop afgesloten. Nu zie ik sindsdien rechts bovenaan een verbodsbord en als ik daar op klik, krijg ik te lezen: Er is een fout opgetreden. Start pakketbeheer uit het snelmenu of via apt-get in een terminal om te zien wat er mis is. De foutmelding was: Fout: broken count >0. Dit betekent meestal dat softwarepaketten op uw computer afhankelijk zijn van paketten die nog (niet) geïnstalleerd zijn.

Nu weet ik niet wat ik verder nog moet intypen of moet doen. Als ik probeer updates te installeren krijg ik dit te zien:

Het pakketsysteem is gebroken
Controleer of u softwarebronnen van een derde partij gebruikt. Als dat zo is, schakel ze dan uit, omdat ze een veelvoorkomende bron van problemen zijn.
Voer ook de volgende opdracht uit in een Terminalvenster: apt-get install -f
De afhankelijkheden van de volgende pakketten konden niet geïnstalleerd worden:
linux-generic-pae: Depends: linux-image-generic-pae (= 3.2.0.52.62) maar 3.2.0.52.62 is geïnstalleerd
                   Depends: linux-headers-generic-pae (= 3.2.0.52.62) maar 3.2.0.51.61 is geïnstalleerd

Hier zie je wat er gebeurt als ik apt-get install-f intyp in de terminal:

els@els-Satellite-L300:~$ apt-get install -f
E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13: Toegang geweigerd)
E: Kan de beheersmap (/var/lib/dpkg/) niet vergrendelen. Heeft u beheerdersrechten?

 Kan iemand mij hiermee helpen aub? Ik weet niet wat ik moet typen als hij vraagt of ik beheerdersrechten heb. En ik weet niet hoe ik verder moet met de updates te installeren of die fout te herstellen.

Alvast bedankt voor de hulp.

Vriendelijke groeten,

Els
« Laatst bewerkt op: 2013/08/29, 08:34:39 door Els Stevens »

Offline Erik Krom

  • Lid
  • Steunpunt: Nee
Re: Probleem met updates installeren en pakketbeheer
« Reactie #1 Gepost op: 2013/08/29, 08:15:52 »
Voor het uitvoeren van dit commando moet je root rechten hebben.
Dit doe je door er "sudo" ervoor te zetten.

Het commando word dan dus:
sudo apt-get install -f
Hierna moet je je wachtwoord invullen.
Er komen geen sterretjes o.i.d. zichtbaar. Dat hoort zo.

Offline Els Stevens

  • Lid
  • Steunpunt: Nee
Re: Probleem met updates installeren en pakketbeheer
« Reactie #2 Gepost op: 2013/08/29, 08:32:59 »
Dag Erik,


bedankt voor uw antwoord. Ik heb dat gedaan en netjes werd alles geïnstalleerd en kon ik nadien de updates doen. Bedankt, ik had dat alleen nooit kunnen vinden.

Vriendelijke groeten,

Els

Offline Flabieb

  • Lid
Re: [Opgelost] Probleem met updates installeren en pakketbeheer
« Reactie #3 Gepost op: 2013/08/29, 15:49:06 »
Hallo,

Ik heb ongeveer hetzelfde probleem als hierboven beschreven.
Ik kan echter de gegeven oplossing niet gebruiken omdat mij wordt gevraagd mijn ontgrendelingswachtwoord te geven, maar dit wordt niet aanvaard ("Het ontgrendelingswachtwoord was onjuist"). Ik kan evenmijn mijn cursor bewegen, noch de terminal openen.

Kan iemand mij helpen aub? Dit is echt enorm vervelend, mijn computer valt niet meer te gebruiken.

Bedankt!

Offline Erik Krom

  • Lid
  • Steunpunt: Nee
Re: [Opgelost] Probleem met updates installeren en pakketbeheer
« Reactie #4 Gepost op: 2013/08/29, 18:22:31 »
Waarbij word exact een ontgerendelings wachtwoord gevraagd?

Je zou ook met "ctrl+alt+F1" in de command line interface kunnen oproepen en daar inloggen.
Dit zou ten alle tijden moeten werken.

Hierin kan je dan ook het herstel van de pakketten uitvoeren:
sudo apt-get install -f
Als je klaar bent kan je er weer uit loggen met:
exiten terug naar de grafische interface met "ctrl+alt+F7".

Misschien ook handig om je eigen topic te starten. Verhip, ik net dat je dat al had gedaan.
« Laatst bewerkt op: 2013/08/29, 18:28:13 door Erik Krom »

Re: [Opgelost] Probleem met updates installeren en pakketbeheer
« Reactie #5 Gepost op: 2017/07/30, 17:15:50 »
Ik heb een soortgelijk probleem, eerst heeft een slechte installatie van Yandex browser mij een volledig nieuwe installatie gekost. Na de nieuwe installatie kan ik vanuit Grub Vista niet meer opstarten, ik keer telkens terug naar het Grub menu bij de keuze van "Vista".
Bovenstaand oplossing bied mij een foutmelding:
sudo apt-get install -f
Pakketlijsten worden ingelezen... Fout!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_binary-i386_Packages
E: De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.

Er staat bovenaan een verbodsbord, en Synaptic Updatebeheer loopt vast met eenzelfde foutmelding, en sluit zich af na het verzenden van een log rapport.
Ik gebruik Ubuntu 16 LTS.
Mvg.

Re: [Opgelost] Probleem met updates installeren en pakketbeheer
« Reactie #6 Gepost op: 2017/08/01, 21:01:56 »
Opgelost door het Engelstalig forum.